import request from '@/utils/request'
import download from '@/utils/request';
// 查询角色列表
export function findAll(query) {
  return request({
    url: '/knowledge/bidManagement/page',
    method: 'post',
    data: query
  })
}

export function findOnePlan(query) {
  return request({
    url: '/knowledge/bidManagement/findOnePlan',
    method: 'get',
    params: query
  })
}

export function findOneConf(query) {
  return request({
    url: '/knowledge/bidManagement/findOneConf',
    method: 'get',
    params: query
  })
}

export function insertPlan(query) {
  return request({
    url: '/knowledge/bidManagement/insertPlan',
    method: 'post',
    data: query
  })
}

export function insertConf(query) {
  return request({
    url: '/knowledge/bidManagement/insertConf',
    method: 'post',
    data: query
  })
}

export function updatePlan(query) {
  return request({
    url: '/knowledge/bidManagement/updatePlan',
    method: 'post',
    data: query
  })
}

export function updateConf(query) {
  return request({
    url: '/knowledge/bidManagement/updateConf',
    method: 'post',
    data: query
  })
}


export function deleteData(ids) {
  return request({
      url: '/knowledge/bidManagement/delete',
      method: 'post',
      params:ids
  })
}



export function filingPlan(query) {
  return request({
    url: '/knowledge/bidManagement/filingPlan',
    method: 'get',
    params: query
  })
}

export function filingConf(query) {
  return request({
    url: '/knowledge/bidManagement/filingConf',
    method: 'get',
    params: query
  })
}

export function exportData(url, params, filename, config) {
  return download({
    url:url,
    params:null,
    filename:filename,
    config:null

  })
}

